package task3;

import java.util.Scanner;

public class StringLearning {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        String stringExample = scanner.next();
        String endStr = " end";
        // ---------------------Begin------------------------
        System.out.println(stringExample);// 1.输出原字符串
        System.out.println(stringExample.length());// 2.求出字符串长度
        // 3.字符串转换成相应的大/小写
        System.out.println(stringExample.toUpperCase());
        System.out.println(stringExample.toLowerCase());
        // 4.截取指定位置的字符串（3-7）
        System.out.println(stringExample.substring(3, 7));
        // 5.字符串相加具体输出要求请看测试说明。
        System.out.println(stringExample + endStr);
        // ---------------------End------------------------
    }
}
